Delete database

Delete the specified database. This operation is irreversible; please confirm that the database and the data in it are no longer needed before performing it.

POST https://moi.matrixorigin.cn/newmoi/meta/db/drop

Preparation before calling

Prepare a personal access token, workspace ID, and database name with delete permissions on the target database. You can first query database to confirm the name.

The examples below use $AI_STUDIO_API_KEY, $WORKSPACE_ID, and $DATABASE.

Request body

Replace caller-specific values in the example with actual values.

db_namestringRequired
The name of the database to be deleted.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/meta/db/drop" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\"}"

Successful response

{"code":200,"data":null}

The response fields are as follows.

Field

Type

Description

code

integer

200 on success.

data

null

This operation does not return a result object.

A successful response does not return an object. Then query the database to confirm that the database no longer appears.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": 400,
  "message": "db_name 不能为空"
}

Follow-up operations

View table field, confirm that the target no longer appears.

Last updated on